<?php
/**
	* Events Calendar An extension for the phpBB 3.3.0 Forum Software package.
	* @author Steve <https://steven-clark.tech/phpBB3/index.php>
	* @license GNU General Public License, version 2 (GPL-2.0)
*/

namespace steve\calendar\migrations;

/**
	* update migration
*/
class mu5_update_calendar extends \phpbb\db\migration\migration
{
	static public function depends_on()
	{
		return [
			'\steve\calendar\migrations\mu4_update_calendar',
		];
	}
	
	public function update_data()
	{
		return [
			['config.update', ['calendar_version', '0.9.1-dev']],
			['config.add', ['calendar_enable_birthdays', true]],
			['config.add', ['calendar_enable_notifications', true]],
			['config.add', ['calendar_above_forums_index', true]],
		];
	}
	
	public function update_schema()
	{
		return [
		//change_columns
		//DECIMAL
		//int 12
		//-time_stamp
			'change_columns'    => [
				$this->table_prefix . 'calendar_events'	=> [
					'time_stamp'		=> ['INT:12', 0],
				],
			],	
			'add_columns'    => [
				$this->table_prefix . 'calendar_events'	=> [
					'birthday'			=> ['BOOL', 0],
					'world_date'		=> ['BOOL', 0],
					
					'fa_icon'			=> ['VCHAR:255', ''],
					'fa_icon_size'		=> ['INT:10', 0],
					'fa_icon_color'		=> ['VCHAR:6', ''],
					
					'time_stamp_end'    => ['INT:12', 0],
					'hour_end'			=> ['INT:2', 0],
					'minute_end'		=> ['INT:2', 0],
					'day_end'         	=> ['INT:2', 0],
					'month_end'			=> ['INT:2', 0],
					'year_end'			=> ['INT:4', 0],					
				],
			]
		];
	}

	public function revert_schema()
	{
		return [
			'drop_columns'    => [
				$this->table_prefix . 'calendar_events'	=> [
					'birthday',
					'world_date',
					
					'fa_icon',
					'fa_icon_size',
					'fa_icon_color',
					//
					'time_stamp_end',
					'hour_end',
					'minute_end',
					'day_end',
					'month_end',
					'year_end'					
				],
			]
		];
	}	
}
