<?php
/**
	* Events Calendar An extension for the phpBB 3.3.0 Forum Software package.
	* @author Steve <https://steven-clark.tech/phpBB3/index.php>
	* @license GNU General Public License, version 2 (GPL-2.0)
*/

namespace steve\calendar\migrations;

/**
	* update migration
*/
class mu6_update_calendar extends \phpbb\db\migration\migration
{
	static public function depends_on()
	{
		return [
			'\steve\calendar\migrations\mu5_update_calendar',
		];
	}
	
	public function update_data()
	{
		return [
			['config.update', ['calendar_version', '0.9.2-dev']],
		];
	}
	
	public function update_schema()
	{
		return [
		//month_string_end
		//day_string_end
			'change_columns'    => [
				$this->table_prefix . 'calendar_events_attending'	=> [
					'time_stamp'			=> ['INT:12', 0]
				],
			],	
			'add_columns'    => [
				$this->table_prefix . 'calendar_events'	=> [
					'month_string_end'    	=> ['VCHAR:9', 0],
					'day_string_end'    	=> ['VCHAR:9', 0],				
				],
			]
		];
	}
	
	public function revert_schema()
	{
		return [
			'drop_columns'    => [
				$this->table_prefix . 'calendar_events'	=> [
					'month_string_end',
					'day_string_end',
				],
			]
		];
	}		
}
